Bug 155014 - New port: security/create-cert: Create self-signed client key and certificates
Summary: New port: security/create-cert: Create self-signed client key and certificates
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-25 00:00 UTC by Craig Leres
Modified: 2011-03-19 06:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2011-02-25 00:00:49 UTC
	This new port makes it easy to create and maintain self-signed
	rootca's and host keys and certs. The configuration for each
	set of self-signed certs is stored in a file; it's much nicer
	than using openssl directly.

	It is used by other software including bro, broccoli and acld
	and also produces certs compatible for use with stunnel.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1m76QACgkQWxlAhAje3JuSGACeJEv9sK94x6K404o5HfEwUbwF
5ZgAnAl572/P6rHbtj1Gyyke31un9ZvC
=UKfa
-----END PGP SIGNATURE-----

--------------060706090407040508050108
Content-Type: text/plain;
 name="Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="Makefile"

# New ports collection makefile for:	create-cert
# Date created:	24 Feb 2011
# Whom:		leres@ee.lbl.gov
# $FreeBSD$
#

PORTNAME=	create-cert
PORTVERSION=	2.0
CATEGORIES=	security
MASTER_SITES=	ftp://ee.lbl.gov/
DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}

MAINTAINER=	leres@ee.lbl.gov
COMMENT=	Create openssl client key and certificates

PLIST_FILES=	sbin/create-cert

MAN8=		create-cert.8

GNU_CONFIGURE=	yes

verify: checksum
	gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.asc

LICENSE=	BSD

.include <bsd.port.mk>

--------------060706090407040508050108
Content-Type: text/plain;
 name="distinfo"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="distinfo"

SHA256 (create-cert-2.0.tar.gz) = 4f1d49d1716db5618f6c02117d90f42725cd711b261d9f499e0c8ea960f5f8f4
SIZE (create-cert-2.0.tar.gz) = 67407
SHA256 (create-cert-2.0.tar.gz.asc) = d12edc25ef423774e333c5b18d98457f3845d7797ca3c4fd6315f3645fbf9e03
SIZE (create-cert-2.0.tar.gz.asc) = 196

--------------060706090407040508050108
Content-Type: text/plain;
 name="pkg-descr"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="pkg-descr"

create-cert is a script that uses openssl(1) to create self-signed host
certificates and private keys for fully qualified domain names (FQDNs).

--------------060706090407040508050108
Content-Type: application/octet-stream;
 name="Makefile.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="Makefile.sig"

iEYEABECAAYFAk1m76QACgkQWxlAhAje3JuOmQCeJMh4AbRItUhAxpLMGYsjbqWVDFwAoIVt
jhqsxSWWlo3fwwNswotObRqb
--------------060706090407040508050108
Content-Type: application/octet-stream;
 name="distinfo.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="distinfo.sig"

iEYEABECAAYFAk1m76QACgkQWxlAhAje3JuJcQCbBR9vR/43UJelYMUJ6n6Vnyfi0lcAn0aW
4HCVprRgv7QgrOMpEsJq51y5
--------------060706090407040508050108
Content-Type: application/octet-stream;
 name="pkg-descr.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="pkg-descr.sig"

iEYEABECAAYFAk1m76UACgkQWxlAhAje3Jvo7QCfbR4P4aG6vAytxmTm47o2yJ7xU/IAn0+0
NSRntNSDtfggetoqbpax0hEC
--------------060706090407040508050108--
Comment 1 Martin Wilke freebsd_committer 2011-03-18 04:18:51 UTC
State Changed
From-To: open->closed

please submit a real shar, reread porter handbook. thx.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-03-18 07:13:24 UTC
State Changed
From-To: closed->open

shar file received. 


Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-03-18 07:13:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 4 linimon 2011-03-18 08:46:51 UTC
[forwarded to make sure it makes it into the Audit-Trail]

----- Forwarded message from Craig Leres <leres@ee.lbl.gov> -----

Date: Fri, 18 Mar 2011 00:59:36 -0600
From: Craig Leres <leres@ee.lbl.gov>
To: miwi@FreeBSD.org
Cc: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/155014: New port: security/create-cert: Create self-signed
	client key and certificates
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US;
	rv:1.9.2.15) Gecko/20110303 Thunderbird/3.1.9


> now please as attachmen

Attached.

		Craig


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	create-cert
#	create-cert/pkg-descr
#	create-cert/distinfo
#	create-cert/Makefile
#
echo c - create-cert
mkdir -p create-cert > /dev/null 2>&1
echo x - create-cert/pkg-descr
sed 's/^X//' >create-cert/pkg-descr << 'd203a1c29d727af0d1078bbdf84c12be'
Xcreate-cert is a script that uses openssl(1) to create self-signed host
Xcertificates and private keys for fully qualified domain names (FQDNs).
d203a1c29d727af0d1078bbdf84c12be
echo x - create-cert/distinfo
sed 's/^X//' >create-cert/distinfo << '19cf33d33d224a599063520eca5a7a45'
XSHA256 (create-cert-2.0.tar.gz) = 4f1d49d1716db5618f6c02117d90f42725cd711b261d9f499e0c8ea960f5f8f4
XSIZE (create-cert-2.0.tar.gz) = 67407
XSHA256 (create-cert-2.0.tar.gz.asc) = d12edc25ef423774e333c5b18d98457f3845d7797ca3c4fd6315f3645fbf9e03
XSIZE (create-cert-2.0.tar.gz.asc) = 196
19cf33d33d224a599063520eca5a7a45
echo x - create-cert/Makefile
sed 's/^X//' >create-cert/Makefile << '4659273b35a5e9b3145ec0bc32aedf9f'
X# New ports collection makefile for:	create-cert
X# Date created:	24 Feb 2011
X# Whom:		leres@ee.lbl.gov
X# $FreeBSD$
X#
X
XPORTNAME=	create-cert
XPORTVERSION=	2.0
XCATEGORIES=	security
XMASTER_SITES=	ftp://ee.lbl.gov/
XDISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
XEXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
X
XMAINTAINER=	leres@ee.lbl.gov
XCOMMENT=	Create openssl client key and certificates
X
XPLIST_FILES=	sbin/create-cert
X
XMAN8=		create-cert.8
X
XGNU_CONFIGURE=	yes
X
Xverify: checksum
X	gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.asc
X
XLICENSE=	BSD
X
X.include <bsd.port.mk>
4659273b35a5e9b3145ec0bc32aedf9f
exit


_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 5 dfilter freebsd_committer 2011-03-19 06:07:17 UTC
sunpoet     2011-03-19 06:07:08 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/create-cert Makefile distinfo pkg-descr 
  Log:
  - Add create-cert 2.0
  
  create-cert is a script that uses openssl(1) to create self-signed host
  certificates and private keys for fully qualified domain names (FQDNs).
  
  PR:             ports/155014
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  
  Revision  Changes    Path
  1.1158    +1 -0      ports/security/Makefile
  1.1       +29 -0     ports/security/create-cert/Makefile (new)
  1.1       +4 -0      ports/security/create-cert/distinfo (new)
  1.1       +2 -0      ports/security/create-cert/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-03-19 06:07:24 UTC
State Changed
From-To: open->closed

New port added. Thanks!